Crazy Eddies GUI System: CEGUI::ConstBaseIterator< T > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::ConstBaseIterator< T > Class Template Reference

Base class constant iterator used to offer iteration over various collections within the system. More...

List of all members.

## Public Types
typedef T::mapped_type | mapped_type
## Public Member Functions
| ConstBaseIterator (typename T::const_iterator start_iter, typename T::const_iterator end_iter)
| ConstBaseIterator constructor.
| ~ConstBaseIterator (void)
| ConstBaseIterator destructor.
| ConstBaseIterator (const ConstBaseIterator< T > &org)
| ConstBaseIterator copy constructor.
ConstBaseIterator< T > & | operator= (const ConstBaseIterator< T > &rhs)
| ConstBaseIterator assignment operator.
T::key_type | getCurrentKey (void) const
| Return the key for the item at the current iterator position.
mapped_type | getCurrentValue (void) const
| Return the value for the item at the current iterator position.
bool | isAtEnd (void) const
| Return whether the current iterator position is at the end of the iterators range.
bool | isAtStart (void) const
| Return whether the current iterator position is at the start of the iterators range.
ConstBaseIterator< T > & | operator++ ()
| Increase the iterator position (prefix increment).
ConstBaseIterator< T > | operator++ (int)
| Increase the iterator position (postfix increment).
ConstBaseIterator< T > & | operator-- ()
| Decrease the iterator position (prefix decrement).
ConstBaseIterator< T > | operator-- (int)
| Decrease the iterator position (postfix decrement).
bool | operator== (const ConstBaseIterator< T > &rhs) const
| Compares two iterators. Return true if the current position of both iterators are equivalent.
bool | operator!= (const ConstBaseIterator< T > &rhs) const
| Compares two iterators. Return true if the current position of the iterators are different.
mapped_type | operator * () const
| Return the value for the current iterator position.
void | toStart (void)
| Set the iterator current position to the start position.
void | toEnd (void)
| Set the iterator current position to the end position.

## Detailed Description

### template<class T>
class CEGUI::ConstBaseIterator< T >

Base class constant iterator used to offer iteration over various collections within the system.

## Constructor & Destructor Documentation

template<class T>
CEGUI::ConstBaseIterator< T >::ConstBaseIterator | ( | typename T::const_iterator | start_iter,
|  | typename T::const_iterator | end_iter
| ) | `[inline]`

  | ConstBaseIterator constructor. Parameters:
  | start_iter | 'real' iterator that will be the start of the range to be iterated over by this iterator.
  | end_iter | 'real' iterator that will be the end of the range to be iterated over by this iterator.

## Member Function Documentation

template<class T>
ConstBaseIterator<T> CEGUI::ConstBaseIterator< T >::operator++ | ( | int |  | ) | `[inline]`

| Increase the iterator position (postfix increment). Note: The iterator is checked, and this call will always succeed, so do not rely on some exception to exit a loop.

template<class T>
ConstBaseIterator<T>& CEGUI::ConstBaseIterator< T >::operator++ | ( |  | ) | `[inline]`

| Increase the iterator position (prefix increment). Note: The iterator is checked, and this call will always succeed, so do not rely on some exception to exit a loop.

template<class T>
ConstBaseIterator<T> CEGUI::ConstBaseIterator< T >::operator-- | ( | int |  | ) | `[inline]`

| Decrease the iterator position (postfix decrement). Note: The iterator is checked, and this call will always succeed, so do not rely on some exception to exit a loop.

template<class T>
ConstBaseIterator<T>& CEGUI::ConstBaseIterator< T >::operator-- | ( |  | ) | `[inline]`

| Decrease the iterator position (prefix decrement). Note: The iterator is checked, and this call will always succeed, so do not rely on some exception to exit a loop.